Commerce
/- Searches for merchandise using predefined parameters
Gets all of the merchandise in the system.
Creates a new merchandise record that does not already exist.
Execute Batch Operations
Returns a list of records with the specified category_id
Lists all merchandise
Gets merchandise info
Returns a merchandise from the system by its ID.
Returns a merchandise from the system by its ID.
Partially updates a merchandise with the specified ID.
Updates a merchandise with the specified ID.
Searches for merchandise...
Searches for merchandise using predefined parameters
Security
knox-authorizer
The merchandise that you would like to be saved.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/merchandise/{tenantId}/search
- https://commerce.api.rhythmsoftware.comhttps://commerce.api.rhythmsoftware.com/merchandise/{tenantId}/search
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/merchandise/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"category_id": [
"string"
],
"id": [
"string"
],
"member_price": [
0.1,
0.1
],
"price": [
0.1,
0.1
],
"track_inventory": true,
"weight": [
0.1,
0.1
]
}'Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }